[arch-commits] Commit in xulrunner/trunk (2 files)

Jan de Groot jgc at archlinux.org
Thu Jul 17 22:10:54 UTC 2008


    Date: Thursday, July 17, 2008 @ 18:10:54
  Author: jgc
Revision: 5517

Re-add patch, still not applied upstream. Fixes issues with printing
Fix md5sums

Added:
  xulrunner/trunk/mozilla-ps-pdf-simplify-operators.patch
Modified:
  xulrunner/trunk/PKGBUILD

-----------------------------------------+
 PKGBUILD                                |   15 +++++++---
 mozilla-ps-pdf-simplify-operators.patch |   42 ++++++++++++++++++++++++++++++
 2 files changed, 52 insertions(+), 5 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-07-17 21:16:02 UTC (rev 5516)
+++ PKGBUILD	2008-07-17 22:10:54 UTC (rev 5517)
@@ -17,18 +17,23 @@
 	100-system-hunspell-corrections.patch
 	bzXXX_pc_honour_system_nspr_nss.patch
 	mozilla-pkgconfig.patch
-	fix-mozilla-launcher.patch)
+	fix-mozilla-launcher.patch
+	mozilla-ps-pdf-simplify-operators.patch)
 md5sums=('ec141bfca8bcc9565086e1e2f1c5a03d'
          '33e6aa4d7119977f7e2464d3de8cff2a'
-         '5efd6772ed0ecf8eddec5d5650191d3c'
-         '7a5151f90cb360bc1ea911e5cf7208e9'
-         'dfbfb4e35912112668ac66dae0783686'
-	 '63eee2d1da3b43c9d604f2253f242f40')
+	 '5efd6772ed0ecf8eddec5d5650191d3c'
+	 '7a5151f90cb360bc1ea911e5cf7208e9'
+	 'dfbfb4e35912112668ac66dae0783686'
+	 '63eee2d1da3b43c9d604f2253f242f40'
+	 '13dca58c04e62a8916691c63c5c492a0')
 
 build() {
   cd ${startdir}/src/mozilla
   cp ${startdir}/src/mozconfig .mozconfig
 
+  #Upstream patch. Still not applied to 1.9.0.1
+  patch -Np1 -i ${srcdir}/mozilla-ps-pdf-simplify-operators.patch || return 1
+
   #fix build with system hunspell - gentoo
   patch -Np0 -i ${srcdir}/100-system-hunspell-corrections.patch || return 1
 

Added: mozilla-ps-pdf-simplify-operators.patch
===================================================================
--- mozilla-ps-pdf-simplify-operators.patch	                        (rev 0)
+++ mozilla-ps-pdf-simplify-operators.patch	2008-07-17 22:10:54 UTC (rev 5517)
@@ -0,0 +1,42 @@
+https://bugzilla.mozilla.org/show_bug.cgi?id=435313
+
+Index: mozilla/gfx/thebes/public/gfxPDFSurface.h
+===================================================================
+RCS file: /cvsroot/mozilla/gfx/thebes/public/gfxPDFSurface.h,v
+retrieving revision 1.13
+diff -d -u -p -r1.13 gfxPDFSurface.h
+--- mozilla/gfx/thebes/public/gfxPDFSurface.h	19 Mar 2008 20:51:42 -0000	1.13
++++ mozilla/gfx/thebes/public/gfxPDFSurface.h	23 May 2008 00:50:31 -0000
+@@ -63,7 +63,11 @@ public:
+     // this is in points!
+     const gfxSize& GetSize() const { return mSize; }
+ 
+-    virtual PRInt32 GetDefaultContextFlags() const { return gfxContext::FLAG_DISABLE_SNAPPING; }
++    virtual PRInt32 GetDefaultContextFlags() const
++    {
++        return gfxContext::FLAG_SIMPLIFY_OPERATORS |
++               gfxContext::FLAG_DISABLE_SNAPPING;
++    }
+ 
+ private:
+     nsCOMPtr<nsIOutputStream> mStream;
+Index: mozilla/gfx/thebes/public/gfxPSSurface.h
+===================================================================
+RCS file: /cvsroot/mozilla/gfx/thebes/public/gfxPSSurface.h,v
+retrieving revision 1.13
+diff -d -u -p -r1.13 gfxPSSurface.h
+--- mozilla/gfx/thebes/public/gfxPSSurface.h	19 Mar 2008 20:51:42 -0000	1.13
++++ mozilla/gfx/thebes/public/gfxPSSurface.h	23 May 2008 00:50:31 -0000
+@@ -63,7 +63,11 @@ public:
+     // this is in points!
+     const gfxSize& GetSize() const { return mSize; }
+ 
+-    virtual PRInt32 GetDefaultContextFlags() const { return gfxContext::FLAG_DISABLE_SNAPPING; }
++    virtual PRInt32 GetDefaultContextFlags() const
++    {
++        return gfxContext::FLAG_SIMPLIFY_OPERATORS |
++               gfxContext::FLAG_DISABLE_SNAPPING;
++    }
+ 
+ private:
+     nsCOMPtr<nsIOutputStream> mStream;





More information about the arch-commits mailing list